> ## Documentation Index
> Fetch the complete documentation index at: https://docs.briq.tz/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a read receipt

> Mark an inbound message read on WhatsApp (blue ticks), by its internal message id.



## OpenAPI

````yaml /openapi.json post /v1/whatsapp/messages/{message_id}/read
openapi: 3.1.0
info:
  title: Briq API
  description: Karibu Briq API Documentation
  version: '0.8'
servers:
  - url: https://karibu.briq.tz
    description: Production
  - url: https://pre-release.karibu.briq.tz
    description: Pre-release
  - url: http://karibu.briq.tz
    description: LocalPass
security: []
paths:
  /v1/whatsapp/messages/{message_id}/read:
    post:
      tags:
        - Karibu-Whatsapp-Messages
      summary: Send a read receipt
      description: >-
        Mark an inbound message read on WhatsApp (blue ticks), by its internal
        message id.
      operationId: wa_message_read_receipt
      parameters:
        - name: message_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Internal message id (the id from GET /messages).
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    $ref: '#/components/schemas/WaMessageReadReceipt'
                  errors:
                    type: array
                    nullable: true
                    items:
                      $ref: '#/components/schemas/WaApiError'
                  request_id:
                    type: string
        '403':
          description: API key is not linked to a workspace (WORKSPACE_REQUIRED).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WaErrorEnvelope'
        '404':
          description: Message not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WaErrorEnvelope'
        '422':
          description: Not an inbound message
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WaErrorEnvelope'
components:
  schemas:
    WaMessageReadReceipt:
      type: object
      properties:
        message_id:
          type: string
          description: Internal message id used in this request.
        status:
          type: string
          enum:
            - read_receipt_sent
    WaApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        field:
          type: string
          nullable: true
    WaErrorEnvelope:
      type: object
      properties:
        success:
          type: boolean
          example: false
        data:
          type: object
          nullable: true
          description: >-
            On a failed send that still produced a record, carries the pollable
            message_id with status='failed'; otherwise null.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/WaApiError'
        request_id:
          type: string

````